package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ISP info in the location, including index and name
 */
@ApiModel(description = "ISP info in the location, including index and name")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class IspOpenApiVo   {
  @JsonProperty("index")
  private Integer index;

  @JsonProperty("name")
  private String name;

  public IspOpenApiVo index(Integer index) {
    this.index = index;
    return this;
  }

  /**
   * ISP index
   * @return index
  */
  @ApiModelProperty(required = true, value = "ISP index")
  @NotNull


  public Integer getIndex() {
    return index;
  }

  public void setIndex(Integer index) {
    this.index = index;
  }

  public IspOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * ISP name
   * @return name
  */
  @ApiModelProperty(required = true, value = "ISP name")
  @NotNull


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IspOpenApiVo ispOpenApiVo = (IspOpenApiVo) o;
    return Objects.equals(this.index, ispOpenApiVo.index) &&
        Objects.equals(this.name, ispOpenApiVo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(index, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IspOpenApiVo {\n");
    
    sb.append("    index: ").append(toIndentedString(index)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

